Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 193188 - tcp_wrappers should have a -devel subpackage
Summary: tcp_wrappers should have a -devel subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tcp_wrappers
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-05-25 22:04 UTC by Jeremy Katz
Modified: 2013-01-10 03:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-15 22:02:25 UTC


Attachments (Terms of Use)
tcp_wrappers split up patch (deleted)
2006-09-22 14:49 UTC, Thomas Woerner
no flags Details | Diff

Description Jeremy Katz 2006-05-25 22:04:40 UTC
tcp_wrappers includes include files and libraries intended for developing
against and should thus have a -devel subpackage

Comment 1 Matthias Clasen 2006-09-22 03:14:31 UTC
Hardly an fc6 blocker though, I think.

Comment 2 Jeremy Katz 2006-09-22 03:18:28 UTC
Actually, it is kind of important as that's the only way we can correctly
include the shared libs as multilib.

Comment 3 Thomas Woerner 2006-09-22 14:35:20 UTC
There are no file conflicts between current tcp_wrappers multilib packages at all.

I'd like to split tcp_wrappers up in three packages: tcp_wrappers,
tcp_wrappers-libs and tcp_wrappers-devel. But I think it is too late for FC-6
for this change.

Comment 4 Thomas Woerner 2006-09-22 14:49:21 UTC
Created attachment 136945 [details]
tcp_wrappers split up patch

This patch splits tcp_wrappers up in three packages: tcp_wrappers,
tcp_wrappers-libs and tcp_wrappers-devel.

This change would require a rebuild of all packages, which depend on
tcp_wrappers with an additional "BuildRequies: tcp_wrappers-devel".


Note You need to log in before you can comment on or make changes to this bug.